EDOALRelation (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class EDOALRelation

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.EDOALRelation

All Implemented Interfaces:
  Relation, Visitable

    public class EDOALRelation

extends Object
implements Relation

Represents an ontology alignment relation. In fact, for the EDOAL Mapping language, this encodes directions but should be rewritten in order to achive a better implementation I feel this is not used anymore

Version:
  $Id: EDOALRelation.java 1338 2010-03-18 21:33:00Z euzenat $
Author:
  Jérôme Euzenat

Nested Class Summary
`static class` | `EDOALRelation.Direction` Enumeration to distinuish the direction of the mapping.

Field Summary
`protected EDOALRelation.Direction` | `direction`
`protected String` | `type` It is intended that the value of the relation is =, < or >.

Constructor Summary
`EDOALRelation(EDOALRelation.Direction d)` Creation
`EDOALRelation(String t)` Creation
`EDOALRelation(String t, EDOALRelation.Direction d)` Creation: OLD Stuff should disappear

Method Summary
`void` | `accept(AlignmentVisitor visitor)`
`void` | `accept(TypeCheckingVisitor visitor)`
`Relation` | `compose(Relation r)`
`void` | `dump(ContentHandler h)` Housekeeping
`boolean` | `equals(Relation r)` Are the two relations equal
`EDOALRelation.Direction` | `getDirection()` printable format
`String` | `getRelation()` printable format
`int` | `hashCode()`
`Relation` | `inverse()` By default the inverse is the relation itself
`void` | `write(PrintWriter writer)` This is kept for displayig more correctly the result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected String type

  It is intended that the value of the relation is =, < or >. But this can be any string in other applications.

### direction

    protected EDOALRelation.Direction direction

Constructor Detail

### EDOALRelation

    public EDOALRelation(String t)
                  throws AlignmentException

  Creation

  Throws:
    `AlignmentException`

### EDOALRelation

    public EDOALRelation(EDOALRelation.Direction d)

  Creation

### EDOALRelation

    public EDOALRelation(String t,
                         EDOALRelation.Direction d)

  Creation: OLD Stuff should disappear

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Throws:
    `AlignmentException`

### accept

    public void accept(TypeCheckingVisitor visitor)
                throws AlignmentException

  Throws:
    `AlignmentException`

### getRelation

    public String getRelation()

  printable format

  Specified by:
    `getRelation` in interface `Relation`

### getDirection

    public EDOALRelation.Direction getDirection()

  printable format

### compose

    public Relation compose(Relation r)

  Specified by:
    `compose` in interface `Relation`

### inverse

    public Relation inverse()

  By default the inverse is the relation itself

  Specified by:
    `inverse` in interface `Relation`

### equals

    public boolean equals(Relation r)

  Are the two relations equal

  Specified by:
    `equals` in interface `Relation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### dump

    public void dump(ContentHandler h)

  Housekeeping

  Specified by:
    `dump` in interface `Relation`

### write

    public void write(PrintWriter writer)

  This is kept for displayig more correctly the result

  Specified by:
    `write` in interface `Relation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010